local function EnableHorrorMode(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 12*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
end

local function DisableHorrorMode(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = skins[mobj.player.mo.skin].normalspeed
	  mobj.player.charability = skins[mobj.player.mo.skin].ability
	  mobj.player.charability2 = skins[mobj.player.mo.skin].ability2
   end
end

local function SlowDownPlayerSpd_Low(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 28*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
end

local function SlowDownPlayerSpd_Med(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 20*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
end

local function SlowDownPlayerSpd_High(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 15*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
end

local function SlowDownPlayerSpd_VeryHigh(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 10*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
end

local function StartFakeChase(line, mobj)
   if mobj.type == MT_PLAYER then
      mobj.player.normalspeed = 19*FRACUNIT
	  mobj.player.charability = CA_NONE
	  mobj.player.charability2 = CA2_NONE
   end
   for all in players.iterate do
       P_TeleportMove(all.mo, 12192*FRACUNIT, 2656*FRACUNIT, -384*FRACUNIT)
	   all.drawangle = ANGLE_180
   end
end

addHook("LinedefExecute", EnableHorrorMode, "HORRMODE")
addHook("LinedefExecute", DisableHorrorMode, "SRB2MODE")

//AH YES, OF COURSE, YOU CAN ACCESS THE LINE BUT NOT THE SIDEDEF FFS
//GOTTA MAKE MULTIPLE FUNCTIONS THEN
addHook("LinedefExecute", SlowDownPlayerSpd_Low, "SLOLMODE")
addHook("LinedefExecute", SlowDownPlayerSpd_Med, "SLOMMODE")
addHook("LinedefExecute", SlowDownPlayerSpd_High, "SLOHMODE")
addHook("LinedefExecute", SlowDownPlayerSpd_VeryHigh, "HIGHMODE")

//LETS NOT FORGET THE "CHASE"
addHook("LinedefExecute", StartFakeChase, "CHASEMODE")