freeslot("MT_HALLOWEEN_BOSS3")

addHook("BossThinker",function(mobj)
    if mobj.firetimer == nil then mobj.firetimer = 0 end
	if mobj.stagtimer == nil then mobj.stagtimer = 0 end
    if mobj.firetimerfinal == nil then mobj.firetimerfinal = 0 end
	if mobj.stagtimerfinal == nil then mobj.stagtimerfinal = 0 end
	if mobj.lowhealth == nil then mobj.lowhealth = false end
	if mobj.pinchphase == nil then mobj.pinchphase = false end
	if mobj.hasshield == nil then mobj.hasshield = false end
	if mobj.cacofirethrust == nil then mobj.cacofirethrust = 0 end
	if mobj.finalattack == nil then mobj.finalattack = false end
	
	if mobj.health <= 16 and mobj.lowhealth == false then
	   mobj.lowhealth = true
	end
	
	if mobj.health <= 9 and mobj.pinchphase == false then
	   mobj.flags = $1 & ~MF_SHOOTABLE
	   mobj.flags = $1 & ~MF_SPECIAL
	   mobj.state = S_HALLOWEENBOSS3_PINCH1
	   mobj.pinchphase = true
	end
	
	if mobj.health == 1 and mobj.finalattack == false then
	   mobj.state = S_HALLOWEENBOSS3_FINAL1
	   mobj.finalattack = true
	end
	
	if mobj.health == 0 then
	   P_LinedefExecute(42068)
	   P_LinedefExecute(42067)
	end
	
	if mobj.state == S_HALLOWEENBOSS3_PINCH1 then
	   P_LinedefExecute(42069)
	end
	
	if mobj.state == S_HALLOWEENBOSS3_STND2 then
	   mobj.flags = $1|MF_SHOOTABLE
	   mobj.flags = $1|MF_SPECIAL
	end

    if mobj and mobj.valid then
	   if mobj.pinchphase ~= true then
	       if mobj.state == S_HALLOWEENBOSS3_FIRE1 and mobj.tics == 29 then
	   	      if mobj.hasshield == false then
	             mobj.theshield = P_SpawnMobjFromMobj(mobj, mobj.x, mobj.y, mobj.z, MT_CYBRAKDEMON_ELECTRIC_BARRIER)
		         if mobj.theshield and mobj.theshield.valid then
				    mobj.theshield.color = SKINCOLOR_COBALT
					mobj.theshield.colorized = true
		            mobj.theshield.target = mobj
			        mobj.theshield.scale = 2*FRACUNIT
		         end
			     mobj.hasshield = true
		      end
	      end
	   end
	   if mobj.state == S_HALLOWEENBOSS3_FIRE2 then
	      P_SetObjectMomZ(mobj, 0, false)
	      mobj.angle = R_PointToAngle2(mobj.x, mobj.y, mobj.target.x, mobj.target.y)
	      mobj.firetimer = $1 + 1
		  if mobj.lowhealth == false then
		     if mobj.firetimer >= 7 then
			    P_SupermanLook4Players(mobj)
		        mobj.firetimer = 0
			    P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
		     end
		  else
		     if mobj.firetimer >= 2 then
			    P_SupermanLook4Players(mobj)
		        mobj.firetimer = 0
			    mobj.cacofire_red = P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
				if mobj.cacofire_red and mobj.cacofire_red.valid then
				   mobj.cacofirethrust = $1 + 1
				   if mobj.cacofirethrust <= 2 then
				      mobj.cacofirethrust = 0
					  P_Thrust(mobj.cacofire_red, mobj.cacofire_red.angle, 5*FRACUNIT)
				   end
				   mobj.cacofire_red.colorized = true
				   mobj.cacofire_red.color = SKINCOLOR_CRIMSON
				end
		     end
	      end
	   else
	      mobj.firetimer = 0
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_FIRE3 then
	      if mobj.theshield and mobj.theshield.valid and mobj.hasshield == true then
		     mobj.hasshield = false
	         P_RemoveMobj(mobj.theshield)
		  end
		  mobj.flags = $1|MF_SHOOTABLE
		  mobj.flags = $1|MF_SPECIAL
	   end
	   
	   if mobj.pinchphase ~= true then
	       if mobj.state == S_HALLOWEENBOSS3_SPEAR1 and mobj.tics == 59 then
	   	      if mobj.hasshield == false then
	             mobj.theshield = P_SpawnMobjFromMobj(mobj, mobj.x, mobj.y, mobj.z, MT_CYBRAKDEMON_ELECTRIC_BARRIER)
		         if mobj.theshield and mobj.theshield.valid then
				    mobj.theshield.color = SKINCOLOR_BRONZE
					mobj.theshield.colorized = true
		            mobj.theshield.target = mobj
			        mobj.theshield.scale = 2*FRACUNIT
		         end
			     mobj.hasshield = true
		      end
	      end
	   end
	   if mobj.state == S_HALLOWEENBOSS3_SPEAR2 then
	      mobj.stagtimer = $1 + 1
		  if mobj.lowhealth == false then
		     if mobj.stagtimer >= 15 then
			    for player in players.iterate() do
				    P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimer = 0
			 end
		  else
		     if mobj.stagtimer >= 5 then
			    for player in players.iterate() do
				    P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimer = 0
			 end
		  end
	   else
	       mobj.stagtimer = 0
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_SPEAR3 then
	      if mobj.theshield and mobj.theshield.valid and mobj.hasshield == true then
		     mobj.hasshield = false
	         P_RemoveMobj(mobj.theshield)
		  end
		  mobj.flags = $1|MF_SHOOTABLE
		  mobj.flags = $1|MF_SPECIAL
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_STND2 then
	      mobj.flags2 = $1 & ~MF2_FRET
	   end
	   
	   if mobj.health < 9 then
	      if mobj.state == S_HALLOWEENBOSS3_PINCH1 and mobj.tics == 40 then
		     for a = 1, 36
		         mobj.shockwave = P_SPMAngle(mobj, MT_SHOCKWAVE, (mobj.angle-360*ANG1)+((a*5)*ANG2))
	         end
	      end
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_DASH1 and mobj.tics == 29 then
	      P_SupermanLook4Players(mobj)
	      mobj.flags = $1 & ~MF_SHOOTABLE
	      mobj.flags = $1 & ~MF_SPECIAL
		  mobj.flags = $1|MF_PAIN
	      mobj.color = SKINCOLOR_SUPERORANGE3
		  mobj.colorized = true
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_DASH2 then
	      P_SpawnGhostMobj(mobj)
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_DASH4 then
		  mobj.flags = $1|MF_SHOOTABLE
		  mobj.flags = $1|MF_SPECIAL
		  mobj.flags = $1 & ~MF_PAIN
		  mobj.colorized = false
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_FINAL1 and mobj.tics == 30 then
	      mobj.flags = $1 & ~MF_SHOOTABLE
	      mobj.flags = $1 & ~MF_SPECIAL
		  mobj.flags = $1|MF_PAIN
	      mobj.color = SKINCOLOR_CERULEAN
		  mobj.colorized = true
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_FINAL2 then
	      mobj.firetimerfinal = $1 + 1
		  mobj.stagtimerfinal = $1 + 1
		  mobj.angle = R_PointToAngle2(mobj.x, mobj.y, mobj.target.x, mobj.target.y)
		  //OKAY NORMAL SPEED
		  if mobj.tics >= 220 and mobj.tics <= 300 then
		     if mobj.firetimerfinal >= 7 then
		        mobj.firetimerfinal = 0
				P_SupermanLook4Players(mobj)
			    P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
		     end
			 
		     if mobj.stagtimerfinal >= 12 then
			    for player in players.iterate() do
				    P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimerfinal = 0
			 end
		  //MAKE IT DOUBLE
		  elseif mobj.tics >= 150 and mobj.tics <= 220 then
		     if mobj.firetimerfinal >= 4 then
			    P_SupermanLook4Players(mobj)
		        mobj.firetimerfinal = 0
			    P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
		     end
			 
		     if mobj.stagtimerfinal >= 7 then
			    for player in players.iterate() do
				    P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimerfinal = 0
			 end

		  //HOW TF DID THE PLAYER SURVIVE DIS??!?!?AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
		  elseif mobj.tics >= 70 and mobj.tics <= 150 then
		     if mobj.firetimerfinal >= 2 then
			    P_SupermanLook4Players(mobj)
		        mobj.firetimerfinal = 0
			    P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
		     end
			 

			 if mobj.stagtimerfinal >= 4 then
			    for player in players.iterate() do
				    P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimerfinal = 0
			 end

		  //DIE ALREADYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY!!!111111111111111
		  elseif mobj.tics >= 10 and mobj.tics <= 70 then
		     if mobj.firetimerfinal >= 1 then
		        mobj.firetimerfinal = 0
			    P_SpawnMissile(mobj, mobj.target, MT_CACOFIRE)
		     end

	         if mobj.stagtimerfinal >= 2 then
			    if mobj.target.mo and mobj.target.mo.valid then
			       P_SpawnMobj(mobj.target.mo.x, mobj.target.mo.y, mobj.target.mo.z + 250*FRACUNIT, MT_HALLOWEEN_BOSS3_SPEAR)
				end
				S_StartSound(nil, sfx_s3k51)
				mobj.stagtimerfinal = 0
			 end

		  end
	   else
	      mobj.firetimerfinal = 0
	      mobj.stagtimerfinal = 0
	   end
	   
	   if mobj.state == S_HALLOWEENBOSS3_FINAL3 then
		  mobj.flags = $1|MF_SHOOTABLE
		  mobj.flags = $1|MF_SPECIAL
		  mobj.flags = $1 & ~MF_PAIN
		  mobj.flags2 = $1 & ~MF2_FRET
		  mobj.colorized = false
	   end
	end
end, MT_HALLOWEEN_BOSS3)
